package com.yidianling.user.mine

import com.ydl.ydlcommon.base.BaseActivity
import com.ydl.ydlcommon.bean.StatusBarOptions
import com.ydl.ydlcommon.modular.ModularServiceManager
import com.yidianling.user.R
import com.yidianling.user.api.service.IAppService
import kotlinx.android.synthetic.main.user_mine_activity_feed_back_success.*

/**
 * @author jiucheng
 * @描述:投诉反馈成功
 * @Copyright Copyright (c) 2018
 * @Company 壹点灵
 * @date 2018/12/17
 */
class FeedBackSuccessActivity : BaseActivity() {
    override fun getStatusViewOptions(): StatusBarOptions {
        return StatusBarOptions(true, true)
    }

    override fun layoutResId(): Int {
        return R.layout.user_mine_activity_feed_back_success
    }

    override fun initDataAndEvent() {
        tv_back.setOnClickListener { finish() }
        tv_to_main.setOnClickListener {
            ModularServiceManager.provide(IAppService::class.java).mainIntent(this@FeedBackSuccessActivity, 0, false)
            finish()
        }
    }
}